package com.jxdinfo.hussar.core.bouncycastle.asn1.x9;

package .tmp;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Encodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9IntegerConverter;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECFieldElement;
import java.math.BigInteger;

public class X9FieldElement extends ASN1Encodable {
  private static X9IntegerConverter true = new X9IntegerConverter();
  
  protected ECFieldElement f;
  
  public X9FieldElement(int i, int j, int k, int m, ASN1OctetString aSN1OctetString) {
    super(i, j, k, m, new BigInteger(1, aSN1OctetString.getOctets()));
  }
  
  public ECFieldElement getValue() {
    return this.f;
  }
  
  public DERObject toASN1Object() {
    int i = true.getByteLength(this.f);
    byte[] arrayOfByte = true.integerToBytes(this.f.toBigInteger(), i);
    return (DERObject)new DEROctetString(arrayOfByte);
  }
  
  public X9FieldElement(ECFieldElement eCFieldElement) {
    this.f = eCFieldElement;
  }
  
  public X9FieldElement(BigInteger bigInteger, ASN1OctetString aSN1OctetString) {
    super(bigInteger, new BigInteger(1, aSN1OctetString.getOctets()));
  }
}
